# SQLITE Test Area

This is a small test area how to edit SQLite databases and update some values according to their value.

## Files

```
├── requirements.txt
├── script.sh
├── sql
│   ├── create_db.sql
│   ├── insert_data.sql
│   ├── show_all.sql
│   ├── show_sg.sql
│   └── update_sg.sql
├── start.py
```

- `requirements.txt`: requirements for the python script
- `script.sh`: Small & ugly script to execute commands inside the sql-files (see `sql/`)
- `sql/`
    - `create_db.sql`: creates the small test database
    - `insert_data.sql`: insert some fictive test values into the database
    - `show_all.sql`: Shows all the data inside the database from table customers
    - `show_sg.sql`: Show all the data which are from St. Gallen (and will get updated)
    - `update_sg.sql`: Update the entries so the city is written consistent
- `start.py`: small python helper script
